#!/bin/sh

# Run this script after cross-compiled for windows. It will create a directory
# with the proper layout, will copy all the necessary files in it and will
# strip them.

target=gpmi-win32
src_root=../..

rm -rf $target

mkdir -p $target/gpmi_dll

cp $src_root/example-app/example-*/*.exe $target

cp $src_root/gpmi/libgpmi.dll $target
cp $src_root/packages/gpmi_pkg_*.dep $target/gpmi_dll
cp $src_root/packages/gpmi_pkg_*.dll $target/gpmi_dll
cp $src_root/modules/modules_*.dep $target/gpmi_dll
cp $src_root/modules/modules_*.dll $target/gpmi_dll

cp -r $src_root/scripts $target

for n in `/usr/bin/find | grep "\.exe\|\.dll"`
do
	strip $n
done
