#!/bin/sh

LDFLAGS="-Wl,-soname,libgpmi.so.0"

q=`echo '
int main() {
	printf("OK");
	return 0;
}
	'  | test_compile`


log_start "SONAME" "compiler: Trying soname -> $q"
	
if test "$q" = "OK"
then
	log_end "SONAME" "(can use $LDFLAGS)"
	db_add sys_soname $LDFLAGS DB_osdep
else
	db_add sys_soname "" DB_osdep
	log_end "SONAME" "(no $LDFLAGS)"
fi




