/*
    libgpmi - General Package/Module Interface - EMPTY module
    Copyright (C) 2005-2007 Patric 'TrueLight' Stout & Tibor 'Igor2' Palinkas
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 * Replace:
 *  Empty -> Module
 *  EMPTY -> MODULE
 */

#ifndef SCRIPT_MODULE_EMPTY_H
#define SCRIPT_MODULE_EMPTY_H

#include "packages/gpmi_scripts.h"

typedef struct Empty_ClientData {
} Empty_ClientData;

int  Empty_Initialize(void **client_data);
void Empty_Destroy(void **client_data);
void Empty_RegisterCommand(void *client_data, const char *name);
int  Empty_LoadScript(void *client_data, const char *filename);
char *Empty_GetExtension();
int  Empty_Rehash(void *client_data);
void Empty_RunFunction(void *client_data, const char *function, int argc, const char **argv);

#endif /* SCRIPT_MODULE_EMPTY_H */
