Summary: General Package/Module Interface
Name: libgpmi
Version: 0.8.0
Release: 1
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: Development/Libraries
BuildRoot: %{_builddir}/%{name}-root
%description
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.

%package devel
Summary: General Package/Module Interface development files
Requires: libgpmi
Provides: libgpmi-devel
Group: Development/Libraries
%description devel
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the development libraries and headers.

%package mod-tcl
Summary: General Package/Module Interface TCL module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-tcl libgpmi-mod
Group: Development/Libraries
%description mod-tcl
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the TCL scripting module.

%package mod-lua
Summary: General Package/Module Interface Lua module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-lua libgpmi-mod
Group: Development/Libraries
%description mod-lua
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the Lua scripting module.

%package mod-python
Summary: General Package/Module Interface Python module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-python libgpmi-mod
Group: Development/Libraries
%description mod-python
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the Python scripting module.

%package mod-ruby
Summary: General Package/Module Interface Ruby module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-ruby libgpmi-mod
Group: Development/Libraries
%description mod-ruby
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the Ruby scripting module.

%package mod-ghli
Summary: General Package/Module Interface Lua module
Requires: libgpmi libghli
BuildRequires: libgpmi-dev libghli-dev
Provides: libgpmi-mod-ghli libgpmi-mod
Group: Development/Libraries
%description mod-ghli
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the GHLI scripting module.

%package mod-perl
Summary: General Package/Module Interface Perl module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-perl libgpmi-mod
Group: Development/Libraries
%description mod-perl
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the Perl scripting module.

%package mod-example
Summary: General Package/Module Interface Example module
Requires: libgpmi
BuildRequires: libgpmi-dev
Provides: libgpmi-mod-example libgpmi-mod
Group: Development/Libraries
%description mod-example
GPMI (General Package/Module Interface) is a library enabling easy modularisation, with modules written in C or one of several scripting languages.
This package contains the example scripting module.



%prep
%setup -q
%build
cd config && ./configure.sh --with_install_prefix="/usr" --with_install_root="/usr/share/gpmi" ; cd ..
make all
%install
rm -rf $RPM_BUILD_ROOT
cd config && ./Install.sh -R $RPM_BUILD_ROOT/usr/share/gpmi; cd ..
%clean
make clean
rm -rf $RPM_BUILD_ROOT



%files
/usr/bin
/usr/lib

%doc /usr/share/doc
/usr/share/gpmi/bin
/usr/share/gpmi/lib
/usr/share/gpmi/gpmi_pkg
/usr/share/gpmi/Makefile.config
/usr/share/gpmi/Makefile.rules

%files devel
/usr/include
/usr/share/gpmi/include

%files mod-tcl
/usr/share/gpmi/modules/tcl*

%files mod-lua
/usr/share/gpmi/modules/lua*

%files mod-python
/usr/share/gpmi/modules/python*

%files mod-ruby
/usr/share/gpmi/modules/ruby*

%files mod-ghli
/usr/share/gpmi/modules/ghli*

%files mod-perl
/usr/share/gpmi/modules/perl*

%files mod-example
/usr/share/gpmi/modules/example*
