#!/bin/bash
. lib/compile.lib


	q=`echo '
#include <stdio.h>
void startup() __attribute__ ((destructor));
void startup()
{
	printf("OK\n");
}
int main() {
	return 0;
}
	'  | test_compile`

echo "[detect_destructor] Trying destructor with $1, $CFLAGS, $LDFLAGS ->$q" >> $LOG

if test "$q" = "OK"
then
	echo "__attribute__ ((destructor))"
else
	echo ""
fi

exit 0
