#!/bin/bash
. lib/compile.lib

ulimit -c 0

	q=`echo '
#include <stdio.h>
#define pr(fmt, x...) {printf("PR "); printf(fmt, x); }
int main() {
	pr("%d %d %s\n", 42, 8192, "test");
	return 0;
}
	'  | test_compile`

echo "[detect_varargmacro] Trying vararg macro with $1, $CFLAGS, $LDFLAGS ->$q" >> $LOG

if test "$q" = "PR 42 8192 test"
then
	echo "#undef"
else
	echo "#define"
fi

exit 0
